## senpai 0.3.0

=== Makefile ===
.POSIX:
.SUFFIXES:

GO ?= go
RM ?= rm
SCDOC ?= scdoc
GIT ?= git
GOFLAGS ?=
PREFIX ?= /usr/local
BINDIR ?= bin
MANDIR ?= share/man
APPDIR ?= share/applications

ifneq (, $(shell which $(GIT) 2>/dev/null))
export SOURCE_DATE_EPOCH ?= $(shell $(GIT) log -1 --pretty=%ct)
endif

all: senpai doc

senpai:
	$(GO) build $(GOFLAGS) ./cmd/senpai

ifeq (, $(shell which $(SCDOC) 2>/dev/null))
$(warning "$(SCDOC) not found, skipping building documentation")
doc:
else
doc: doc/senpai.1 doc/senpai.5
doc/senpai.1: doc/senpai.1.scd
	$(SCDOC) < doc/senpai.1.scd > doc/senpai.1
doc/senpai.5: doc/senpai.5.scd
	$(SCDOC) < doc/senpai.5.scd > doc/senpai.5
endif

clean:
	$(RM) -rf senpai doc/senpai.1 doc/senpai.5
install:
	mkdir -p $(DESTDIR)$(PREFIX)/$(BINDIR)
	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
	mkdir -p $(DESTDIR)$(PREFIX)/$(APPDIR)
	cp -f senpai $(DESTDIR)$(PREFIX)/$(BINDIR)
	cp -f doc/senpai.1 $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	cp -f doc/senpai.5 $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
	cp -f contrib/senpai.desktop $(DESTDIR)$(PREFIX)/$(APPDIR)/senpai.desktop
uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/$(BINDIR)/senpai
	$(RM) $(DESTDIR)$(PREFIX)/$(MANDIR)/man1/senpai.1
	$(RM) $(DESTDIR)$(PREFIX)/$(MANDIR)/man5/senpai.5
	$(RM) $(DESTDIR)$(PREFIX)/$(APPDIR)/senpai.desktop

emoji:
	curl -sSfL -o emoji.json "https://raw.githubusercontent.com/github/gemoji/master/db/emoji.json"

.PHONY: all senpai doc clean install uninstall emoji

=== debian/changelog ===
senpai (0.3.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 11:26:49 +1000

senpai (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072217)

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Sun, 30 Jun 2024 22:24:22 -0300

=== debian/control ===
Source: senpai
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>,
           Taavi Väänänen <taavi@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-delthas-go-libnp-dev,
               golang-github-delthas-go-localeinfo-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-golang-x-net-dev,
               golang-golang-x-time-dev,
               golang-mvdan-xurls-dev,
               golang-sourcehut-emersion-go-scfg-dev,
               scdoc <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/senpai
Vcs-Git: https://salsa.debian.org/go-team/packages/senpai.git
Homepage: https://sr.ht/~delthas/senpai
XS-Go-Import-Path: git.sr.ht/~delthas/senpai

Package: senpai
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Modern terminal IRC client
 senpai is an IRC client that works best with bouncers:
  * No logs are kept,
  * History is fetched from the server via CHATHISTORY,
  * Networkds are fetched from the server via bouncer-networks,
  * Messages can be searched in logs via SEARCH.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = emoji.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	# Repository URL change in go.mod not in this release, this
	# will be removed when the package is updated to the the next
	# tagged release
	sed \
		-e 's/taiite/delthas/' \
		-i `find . -name '*.go'`

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mkdir debian/tmp
	scdoc < doc/senpai.1.scd > debian/tmp/senpai.1
	scdoc < doc/senpai.5.scd > debian/tmp/senpai.5
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

## senpai 0.4.0

=== debian/changelog ===
senpai (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0.
  * d/patches: Upstream changed UI frameworks. Consequently:
    - Drop 0002-Remove-title-support.patch.
    - Drop 0001-Remove-notification-support.patch.
  * d/rules: Remove previously needed upstream repository URL substitution.
  * d/control: Update dependencies.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Mon, 17 Mar 2025 20:49:16 -0300

## senpai 0.4.1

=== Makefile ===
.POSIX:
.SUFFIXES:

GO ?= go
RM ?= rm
INSTALL ?= install
SCDOC ?= scdoc
GIT ?= git
GOFLAGS ?=
PREFIX ?= /usr/local
BINDIR ?= bin
MANDIR ?= share/man
APPDIR ?= share/applications
ICONDIR ?= share/icons

ifeq (0, $(shell $(GIT) status >/dev/null 2>&1; echo $$?))
export SOURCE_DATE_EPOCH ?= $(shell $(GIT) log -1 --pretty=%ct)
endif

all: senpai doc

senpai:
	$(GO) build $(GOFLAGS) ./cmd/senpai

ifeq (, $(shell which $(SCDOC) 2>/dev/null))
$(warning "$(SCDOC) not found, skipping building documentation")
doc:
else
doc: doc/senpai.1 doc/senpai.5
doc/senpai.1: doc/senpai.1.scd
	$(SCDOC) < doc/senpai.1.scd > doc/senpai.1
doc/senpai.5: doc/senpai.5.scd
	$(SCDOC) < doc/senpai.5.scd > doc/senpai.5
endif

res: res/icon.128.png res/icon.48.png
res/icon.128.png: res/icon.svg
	rsvg-convert -o res/icon.128.png res/icon.svg
res/icon.48.png: res/icon.svg
	rsvg-convert -w 48 -h 48 -o res/icon.48.png res/icon.svg

clean:
	$(RM) -rf senpai doc/senpai.1 doc/senpai.5
install:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(BINDIR)
	$(INSTALL) senpai $(DESTDIR)$(PREFIX)/$(BINDIR)/senpai
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	$(INSTALL) -m644 doc/senpai.1 $(DESTDIR)$(PREFIX)/$(MANDIR)/man1/senpai.1
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
	$(INSTALL) -m644 doc/senpai.5 $(DESTDIR)$(PREFIX)/$(MANDIR)/man5/senpai.5
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(APPDIR)
	$(INSTALL) -m644 contrib/senpai.desktop $(DESTDIR)$(PREFIX)/$(APPDIR)/senpai.desktop
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/48x48/apps
	$(INSTALL) -m644 res/icon.48.png $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/48x48/apps/senpai.png
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/scalable/apps
	$(INSTALL) -m644 res/icon.svg $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/scalable/apps/senpai.svg
uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/$(BINDIR)/senpai
	$(RM) $(DESTDIR)$(PREFIX)/$(MANDIR)/man1/senpai.1
	$(RM) $(DESTDIR)$(PREFIX)/$(MANDIR)/man5/senpai.5
	$(RM) $(DESTDIR)$(PREFIX)/$(APPDIR)/senpai.desktop
	$(RM) $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/48x48/apps/senpai.png
	$(RM) $(DESTDIR)$(PREFIX)/$(ICONDIR)/hicolor/scalable/apps/senpai.svg

emoji:
	curl -sSfL -o emoji.json "https://raw.githubusercontent.com/rhysd/gemoji/refs/heads/unicode-16.0/db/emoji.json"

.PHONY: all senpai doc res clean install uninstall emoji

=== debian/changelog ===
senpai (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Mon, 14 Apr 2025 16:15:28 -0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: senpai
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>,
            Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-codeberg-emersion-go-scfg-dev,
                golang-github-delthas-go-libnp-dev,
                golang-github-delthas-go-localeinfo-dev,
-               golang-github-gdamore-tcell.v2-dev,
+               golang-github-disintegration-imaging-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-golang-x-net-dev,
                golang-golang-x-time-dev,
                golang-mvdan-xurls-dev,
-               golang-sourcehut-emersion-go-scfg-dev,
+               golang-sourcehut-rockorager-vaxis-dev,
                scdoc <!nodoc>,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = emoji.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mkdir debian/tmp
	scdoc < doc/senpai.1.scd > debian/tmp/senpai.1
	scdoc < doc/senpai.5.scd > debian/tmp/senpai.5
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	https://git.sr.ht/~delthas/senpai \
	refs/tags/@ANY_VERSION@ debian
